ACL_FREE(3)

NAME
acl_free - release memory allocated to an ACL data object

LIBRARY
Linux Access Control Lists library (libacl, -lacl).

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
int
acl_free(void *obj_p);

DESCRIPTION
The acl_free() function frees any releasable memory currently allocated by to the ACL data object identified by obj_p. The argument obj_p may identify an ACL, an ACL entry qualifier, or a pointer to a string allocated by the acl_to_text() function.

RETURN VALUE

ERRORS
If any of the following conditions occur, the acl_free() function returns the value -1 and and sets errno to the corresponding value:

[EINVAL]
    The value of the argument obj_p is invalid.

STANDARDS
IEEE Std 1003.1e draft 17 (“POSIX.1e”, abandoned)

SEE ALSO
acl_copy_int(3), acl_create_entry(3), acl_dup(3), acl_from_text(3), acl_get_fd, acl_get_file(3), acl_init(3), acl(5)

AUTHOR
Derived from the FreeBSD manual pages written by Robert N M Watson <rwatson@FreeBSD.org>, and adapted for Linux by Andreas Gruenbacher <andreas.gruenbacher@gmail.com>.